import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0
import DeviceInvoke 1.0
import DeviceInfo 1.0

PageStackWindow {
    id: appWindow

    initialPage: mainPage

    // Uncomment this if you want to show in full-screen, without status bar
    showStatusBar: false

    Page {
        id: mainPage

        // Uncomment this if you want to lock to portrait
        // orientationLock: lockInPortrait

        WebView {
            id: web
            anchors.fill: parent
            preferredHeight: screen.currentOrientation == Screen.Portrait ? (appWindow.showStatusBar ? 819 : 854) : (appWindow.showStatusBar ? 445 : 480)
            preferredWidth: screen.currentOrientation == Screen.Portrait ? 480 : 854
            url: "qrc:///www/index.html"
            settings.javascriptEnabled: true
            settings.offlineStorageDatabaseEnabled: true
            settings.offlineWebApplicationCacheEnabled: true
            settings.localContentCanAccessRemoteUrls: true
            settings.localStorageDatabaseEnabled: true
            
            javaScriptWindowObjects: DeviceInvoke {
               WebView.windowObjectName: "DeviceInvoke"
            }
        }
    }
}
